## org.biojava.bio.program.unigene
Class SQLUnigeneFactory

    java.lang.Object
      org.biojava.bio.program.unigene.SQLUnigeneFactory

All Implemented Interfaces:
  UnigeneFactory

    public class SQLUnigeneFactory

extends Object
implements UnigeneFactory

An implementatoin of UnigeneFactory that manages it's data in an SQL database.

This class is for developers and power-users. Usually you will not use this class directly, but rather use UnigeneTools.loadDatabase() with a jdbc URL.

This class will store unigene data in a relational database with a schema defined by the resource src/org/biojava/bio/program/unigene/createUnigene.sql and currently only realy supports mysql. To import data to a newly created database, repeatedly call addCluster() on the UnigeneDB you get back.

Author:
  Matthew Pocock

Constructor Summary
`SQLUnigeneFactory()`

Method Summary
`boolean` `canAccept(URL dbURL)` Accepts all URLs that are of the jdbc protocol.
`UnigeneDB` `createUnigene(URL dbURL)`
`UnigeneDB` `loadUnigene(URL dbURL)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLUnigeneFactory

    public SQLUnigeneFactory()

Method Detail

### canAccept

    public boolean canAccept(URL dbURL)

  Accepts all URLs that are of the jdbc protocol.

  Specified by:
    `canAccept` in interface `UnigeneFactory`

### loadUnigene

    public UnigeneDB loadUnigene(URL dbURL)
                          throws BioException

  Specified by:
    `loadUnigene` in interface `UnigeneFactory`
  Throws:
    `BioException`

### createUnigene

    public UnigeneDB createUnigene(URL dbURL)
                            throws BioException

  Specified by:
    `createUnigene` in interface `UnigeneFactory`
  Throws:
    `BioException`